aboutsummaryrefslogtreecommitdiffstats
path: root/openwrt/package/base-files
diff options
context:
space:
mode:
Diffstat (limited to 'openwrt/package/base-files')
-rw-r--r--openwrt/package/base-files/Config.in7
-rw-r--r--openwrt/package/base-files/Makefile104
-rwxr-xr-xopenwrt/package/base-files/default/bin/firstboot90
-rwxr-xr-xopenwrt/package/base-files/default/bin/ipcalc32
-rwxr-xr-xopenwrt/package/base-files/default/bin/login16
-rw-r--r--openwrt/package/base-files/default/etc/banner10
-rwxr-xr-xopenwrt/package/base-files/default/etc/functions.sh67
-rw-r--r--openwrt/package/base-files/default/etc/group2
-rw-r--r--openwrt/package/base-files/default/etc/hosts1
-rw-r--r--openwrt/package/base-files/default/etc/hotplug.d/net/10-net189
-rw-r--r--openwrt/package/base-files/default/etc/hotplug.d/usb/01-mount49
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S10boot24
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S50httpd2
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S50telnet2
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S60cron4
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/S98done9
-rwxr-xr-xopenwrt/package/base-files/default/etc/init.d/rcS12
-rw-r--r--openwrt/package/base-files/default/etc/inittab3
-rw-r--r--openwrt/package/base-files/default/etc/ipkg.conf3
-rw-r--r--openwrt/package/base-files/default/etc/nvram.sh17
-rw-r--r--openwrt/package/base-files/default/etc/passwd2
-rwxr-xr-xopenwrt/package/base-files/default/etc/preinit11
-rw-r--r--openwrt/package/base-files/default/etc/profile12
-rw-r--r--openwrt/package/base-files/default/etc/protocols56
-rw-r--r--openwrt/package/base-files/default/etc/shells1
-rw-r--r--openwrt/package/base-files/default/etc/sysctl.conf8
-rw-r--r--openwrt/package/base-files/default/rom/note3
-rwxr-xr-xopenwrt/package/base-files/default/sbin/hotplug26
-rwxr-xr-xopenwrt/package/base-files/default/sbin/ifdown18
-rwxr-xr-xopenwrt/package/base-files/default/sbin/ifup36
-rwxr-xr-xopenwrt/package/base-files/default/sbin/mount_root38
-rw-r--r--openwrt/package/base-files/default/usr/lib/common.awk66
-rw-r--r--openwrt/package/base-files/default/usr/lib/parse-config.awk40
-rwxr-xr-xopenwrt/package/base-files/default/usr/share/udhcpc/default.script51
-rw-r--r--openwrt/package/base-files/ipkg/base-files.conffiles9
-rw-r--r--openwrt/package/base-files/ipkg/base-files.control4
-rw-r--r--openwrt/package/base-files/ipkg/libgcc.control5
-rw-r--r--openwrt/package/base-files/ipkg/uclibc.control5
38 files changed, 0 insertions, 1034 deletions
diff --git a/openwrt/package/base-files/Config.in b/openwrt/package/base-files/Config.in
deleted file mode 100644
index c278b272f1..0000000000
--- a/openwrt/package/base-files/Config.in
+++ /dev/null
@@ -1,7 +0,0 @@
-config BR2_PACKAGE_LIBGCC
- prompt "libgcc............................ GCC support library"
- tristate
- default m if CONFIG_DEVEL
- help
- GCC support library
-
diff --git a/openwrt/package/base-files/Makefile b/openwrt/package/base-files/Makefile
deleted file mode 100644
index 8517dcc685..0000000000
--- a/openwrt/package/base-files/Makefile
+++ /dev/null
@@ -1,104 +0,0 @@
-# $Id$
-
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=base-files
-PKG_RELEASE:=6
-PKG_BUILD_DIR:=$(BUILD_DIR)/base-files
-
-BOARD:=$(shell LANG=C grep ^BR2_LINUX_2 $(TOPDIR)/.config|sed -e "s/=y//" \
- -e "s/.*_//"| tr "[:upper:]" "[:lower:]")
-KERNEL:=$(shell LANG=C grep ^BR2_LINUX_2 $(TOPDIR)/.config|sed -e "s/=y//" \
- -e "s/BR2_LINUX_//" -e "s/_BRCM//" -e "s/_/./"| tr "[:upper:]" "[:lower:]")
-
-REV:=$(shell LANG=C svn info | awk '/^Revision:/ { print$$2 }' )
-ifeq ($(REV),)
-REV:=0
-endif
-
-include $(TOPDIR)/package/rules.mk
-
-IDIR_BASE:=$(PKG_BUILD_DIR)/base-files
-IPKG_BASE:=$(PACKAGE_DIR)/$(PKG_NAME)_$(PKG_RELEASE)_$(ARCH).ipk
-
-UCLIBC_VERSION:=${shell cat $(STAGING_DIR)/uclibc_version}
-IDIR_UCLIBC:=$(PKG_BUILD_DIR)/uclibc
-IPKG_UCLIBC:=$(PACKAGE_DIR)/uclibc_$(UCLIBC_VERSION)-$(PKG_RELEASE)_$(ARCH).ipk
-
-LIBGCC_VERSION:=${shell cat $(STAGING_DIR)/gcc_version}
-IDIR_LIBGCC:=$(PKG_BUILD_DIR)/libgcc
-IPKG_LIBGCC:=$(PACKAGE_DIR)/libgcc_$(LIBGCC_VERSION)-$(PKG_RELEASE)_$(ARCH).ipk
-
-PACKAGES:=$(IPKG_BASE) $(IPKG_UCLIBC)
-PACKAGES_INSTALL:=$(IPKG_BASE) $(IPKG_UCLIBC)
-
-ifeq ($(BR2_PACKAGE_LIBGCC),y)
-PACKAGES+=$(IPKG_LIBGCC)
-PACKAGES_INSTALL+=$(IPKG_LIBGCC)
-endif
-ifeq ($(BR2_PACKAGE_LIBGCC),m)
-PACKAGES+=$(IPKG_LIBGCC)
-endif
-
-$(PKG_BUILD_DIR)/.prepared:
- mkdir -p $(PKG_BUILD_DIR) $(PACKAGE_DIR)
- touch $@
-
-$(PKG_BUILD_DIR)/.configured:
- touch $@
-
-$(PKG_BUILD_DIR)/.built:
- touch $@
-
-$(IPKG_BASE):
- $(SCRIPT_DIR)/make-ipkg-dir.sh $(IDIR_BASE) ipkg/$(PKG_NAME).control $(PKG_RELEASE) $(ARCH)
- $(CP) ./default/* $(IDIR_BASE)
- $(SED) 's,$$R,r$(REV),g' $(IDIR_BASE)/etc/banner
- $(SED) 's,$$S,$(BOARD)-$(KERNEL),g' $(IDIR_BASE)/etc/ipkg.conf
- mkdir -p $(IDIR_BASE)/dev
- mkdir -p $(IDIR_BASE)/etc/crontabs
- mkdir -p $(IDIR_BASE)/jffs
- mkdir -p $(IDIR_BASE)/lib
- mkdir -p $(IDIR_BASE)/mnt
- mkdir -p $(IDIR_BASE)/proc
- mkdir -p $(IDIR_BASE)/tmp
- mkdir -p $(IDIR_BASE)/usr/lib
- mkdir -p $(IDIR_BASE)/usr/bin
- mkdir -p $(IDIR_BASE)/sys
- mkdir -p $(IDIR_BASE)/www
- ln -sf /tmp/resolv.conf $(IDIR_BASE)/etc/resolv.conf
- ln -sf /proc/mounts $(IDIR_BASE)/etc/mtab
- rm -f $(IDIR_BASE)/var
- ln -sf /tmp $(IDIR_BASE)/var
- -find $(IDIR_BASE) -type d -name CVS | xargs rm -rf
- -find $(IDIR_BASE) -type d -name .svn | xargs rm -rf
- -find $(IDIR_BASE) -name '.#*' | xargs rm -f
- mkdir -p $(IDIR_BASE)/etc
- $(IPKG_BUILD) $(IDIR_BASE) $(PACKAGE_DIR)
-
-$(IPKG_UCLIBC):
- $(SCRIPT_DIR)/make-ipkg-dir.sh $(IDIR_UCLIBC) ipkg/uclibc.control $(UCLIBC_VERSION)-$(PKG_RELEASE) $(ARCH)
- mkdir -p $(IDIR_UCLIBC)/lib
- for file in ld-uClibc libc libcrypt libdl libm libnsl libresolv librt libuClibc libutil; do \
- $(CP) $(STAGING_DIR)/lib/$$file.so.* $(IDIR_UCLIBC)/lib/; \
- $(CP) $(STAGING_DIR)/lib/$$file-$(UCLIBC_VERSION).so $(IDIR_UCLIBC)/lib/; \
- done
- -$(STRIP) $(IDIR_UCLIBC)/lib/*
- $(IPKG_BUILD) $(IDIR_UCLIBC) $(PACKAGE_DIR)
-
-$(IPKG_LIBGCC):
- $(SCRIPT_DIR)/make-ipkg-dir.sh $(IDIR_LIBGCC) ipkg/libgcc.control $(LIBGCC_VERSION)-$(PKG_RELEASE) $(ARCH)
- mkdir -p $(IDIR_LIBGCC)/lib
- $(CP) $(STAGING_DIR)/lib/libgcc_s.so.* $(IDIR_LIBGCC)/lib/
- -$(STRIP) $(IDIR_LIBGCC)/lib/*
- $(IPKG_BUILD) $(IDIR_LIBGCC) $(PACKAGE_DIR)
-
-package-clean:
- rm -f $(PACKAGES)
-
-clean-targets: package-clean
-prepare:
-compile-targets: $(PACKAGES)
-install-targets: compile
- mkdir -p $(TARGET_DIR)
- $(IPKG) install $(PACKAGES_INSTALL)
diff --git a/openwrt/package/base-files/default/bin/firstboot b/openwrt/package/base-files/default/bin/firstboot
deleted file mode 100755
index 28189780bd..0000000000
--- a/openwrt/package/base-files/default/bin/firstboot
+++ /dev/null
@@ -1,90 +0,0 @@
-#!/bin/sh
-# $Id$
-
-rom=$(awk '/squashfs/ {print $2}' /proc/mounts)
-jffs=$(awk '/jffs2/ {print $2}' /proc/mounts)
-
-dupe() { # <new_root> <old_root>
- cd $1
- echo -n "creating directories... "
- {
- cd $2
- find . -xdev -type d
- echo "./dev ./jffs ./mnt ./proc ./tmp ./sys"
- # xdev skips mounted directories
- cd $1
- } | xargs mkdir -p
- echo "done"
-
- echo -n "setting up symlinks... "
- for file in $(cd $2; find . -xdev -type f;); do
- case "$file" in
- ./rom/note) ;; #nothing
- ./etc/config*|\
- ./etc/resolv.conf|\
- ./usr/lib/ipkg/info) cp -af $2/$file $file;;
- *) ln -sf /rom/${file#./*} $file;;
- esac
- done
- for file in $(cd $2; find . -xdev -type l;); do
- cp -af $2/${file#./*} $file
- done
- echo "done"
-}
-
-pivot() { # <new_root> <old_root>
- mount -o move /proc $1/proc && \
- pivot_root $1 $1$2 && {
- mount -o move $2/dev /dev
- mount -o move $2/tmp /tmp
- mount -o move $2/sys /sys
- return 0
- }
-}
-
-mountdp() { # <device> <mount_point> <ignored> <fs>
- dev=$1; mnt=$2; shift 2; opt=$*
- mount $dev $mnt $opt
- dupe $mnt $rom
- pivot $mnt /rom
-}
-
-ramoverlay() {
- mkdir -p /tmp/root
- mountdp /tmp/root /mnt -o bind
-}
-
-[ "${0##*/}" = "firstboot" ] && {
- [ -z "$rom" ] && {
- echo "You do not have a squashfs partition; aborting"
- echo "(firstboot cannot be run on jffs2 based firmwares)"
- exit 1
- }
-
- [ "$1" = "switch2jffs" ] && {
- mtd erase OpenWrt
- mount -o remount,ro none / # try to avoid fs changing while copying
- mount -o bind / /mnt
- mount /dev/mtdblock/4 /rom/jffs -t jffs2
- echo -n "copying files ... "
- cp -a /mnt/* /rom/jffs
- umount /mnt
- echo "done"
- pivot /rom /mnt
- mount -o move /mnt /tmp/root
- pivot /jffs /rom
- jffs2root --clean
- exit 0
- }
-
- # script run manually
- [ \! -z "$jffs" ] && {
- echo "firstboot has already been run"
- echo "jffs2 partition is mounted, only resetting files"
- dupe $jffs $rom
- exit 0
- }
-
- mtd erase OpenWrt
- mountdp /dev/mtdblock/4 /jffs -t jffs2
-}
diff --git a/openwrt/package/base-files/default/bin/ipcalc b/openwrt/package/base-files/default/bin/ipcalc
deleted file mode 100755
index 318980e5a2..0000000000
--- a/openwrt/package/base-files/default/bin/ipcalc
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-awk -f /usr/lib/common.awk -f - $* <<EOF
-BEGIN {
- ipaddr=ip2int(ARGV[1])
- netmask=ip2int(ARGV[2])
- network=and(ipaddr,netmask)
- broadcast=or(network,compl(netmask))
-
- start=or(network,and(ip2int(ARGV[3]),compl(netmask)))
- limit=network+1
- if (start<limit) start=limit
-
- end=start+ARGV[4]
- limit=or(network,compl(netmask))-1
- if (end>limit) end=limit
-
- print "IP="int2ip(ipaddr)
- print "NETMASK="int2ip(netmask)
- print "BROADCAST="int2ip(broadcast)
- print "NETWORK="int2ip(network)
- print "PREFIX="32-bitcount(compl(netmask))
-
- # range calculations:
- # ipcalc <ip> <netmask> <start> <num>
-
- if (ARGC > 3) {
- print "START="int2ip(start)
- print "END="int2ip(end)
- }
-}
-EOF
diff --git a/openwrt/package/base-files/default/bin/login b/openwrt/package/base-files/default/bin/login
deleted file mode 100755
index 8f9281726d..0000000000
--- a/openwrt/package/base-files/default/bin/login
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-grep '^root:[^!]' /etc/passwd >&- 2>&-
-[ "$?" = "0" -a -z "$FAILSAFE" ] &&
-{
- echo "Login failed."
- exit 0
-} || {
-cat << EOF
- === IMPORTANT ============================
- Use 'passwd' to set your login password
- this will disable telnet and enable SSH
- ------------------------------------------
-EOF
-}
-
-exec /bin/ash --login
diff --git a/openwrt/package/base-files/default/etc/banner b/openwrt/package/base-files/default/etc/banner
deleted file mode 100644
index c2fbc12680..0000000000
--- a/openwrt/package/base-files/default/etc/banner
+++ /dev/null
@@ -1,10 +0,0 @@
- _______ ________ __
- | |.-----.-----.-----.| | | |.----.| |_
- | - || _ | -__| || | | || _|| _|
- |_______|| __|_____|__|__||________||__| |____|
- |__| W I R E L E S S F R E E D O M
- KAMIKAZE (bleeding edge, $R) -------------------
- * 10 oz Vodka Shake well with ice and strain
- * 10 oz Triple sec mixture into 10 shot glasses.
- * 10 oz lime juice Salute!
- ---------------------------------------------------
diff --git a/openwrt/package/base-files/default/etc/functions.sh b/openwrt/package/base-files/default/etc/functions.sh
deleted file mode 100755
index d54a346315..0000000000
--- a/openwrt/package/base-files/default/etc/functions.sh
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-alias debug=${DEBUG:-:}
-
-# valid interface?
-if_valid () (
- ifconfig "$1" >&- 2>&- ||
- [ "${1%%[0-9]}" = "br" ] ||
- { debug "# missing interface '$1' ignored"; false; }
-)
-
-hotplug_dev() {
- env -i ACTION=$1 INTERFACE=$2 /sbin/hotplug net
-}
-
-config_cb() {
- return 0
-}
-option_cb() {
- return 0
-}
-
-config () {
- config_cb "$@"
- _C=$((${_C:-0} + 1))
- export CONFIG_SECTION="${2:-cfg${_C}}"
- export CONFIG_${CONFIG_SECTION}_TYPE="$1"
-}
-
-option () {
- local varname="$1" ; shift
- export CONFIG_${CONFIG_SECTION}_${varname}="$*"
- option_cb "$varname" "$*"
-}
-
-config_clear() {
- [ -z "$CONFIG_SECTION" ] && return
- for oldsetting in `set | grep ^CONFIG_${CONFIG_SECTION}_ | \
- sed -e 's/\(.*\)=.*$/\1/'` ; do
- unset $oldsetting
- done
- unset CONFIG_SECTION
-}
-
-config_load() {
- local CD=""
- if [ \! -e "$1" -a -e "/etc/config/$1" ]; then
- cd /etc/config && local CD=1
- fi
- [ -e "$1" ] && . $1
- ${CD:+cd - >/dev/null}
- ${CONFIG_SECTION:+config_cb}
-}
-
-config_get() {
- case "$3" in
- "") eval "echo \${CONFIG_${1}_${2}}";;
- *) eval "$1=\"\${CONFIG_${2}_${3}}\"";;
- esac
-}
-
-config_set() {
- export CONFIG_${1}_${2}="${3}"
-}
-
-load_modules() {
- sed 's/^[^#]/insmod &/' $* | ash 2>&- || :
-}
diff --git a/openwrt/package/base-files/default/etc/group b/openwrt/package/base-files/default/etc/group
deleted file mode 100644
index c4e77f316a..0000000000
--- a/openwrt/package/base-files/default/etc/group
+++ /dev/null
@@ -1,2 +0,0 @@
-root:x:0:
-nogroup:x:65534:
diff --git a/openwrt/package/base-files/default/etc/hosts b/openwrt/package/base-files/default/etc/hosts
deleted file mode 100644
index ce138ec1e6..0000000000
--- a/openwrt/package/base-files/default/etc/hosts
+++ /dev/null
@@ -1 +0,0 @@
-127.0.0.1 localhost OpenWrt
diff --git a/openwrt/package/base-files/default/etc/hotplug.d/net/10-net b/openwrt/package/base-files/default/etc/hotplug.d/net/10-net
deleted file mode 100644
index b68ec1be28..0000000000
--- a/openwrt/package/base-files/default/etc/hotplug.d/net/10-net
+++ /dev/null
@@ -1,189 +0,0 @@
-#!/bin/sh
-find_name()
-{
- for ifname in lan wan wifi ${ifnames}; do
- IFTYPE="${ifname}"
- eval "IFPROTO=\"\${${IFTYPE}_proto}\""
- eval "IFACE=\"\${${IFTYPE}_ifname}\""
- case "$IFPROTO" in
- ""|none);;
- static|dhcp)
- [ "${IFACE}" = "$INTERFACE" ] && return 0
- [ "${IFACE%%[0-9]*}" = "br" ] && {
- eval "ifs=\"\${${IFTYPE}_ifnames}\""
- for part in $ifs; do
- [ "$part" = "$INTERFACE" ] && return 0
- done
- }
- ;;
- pppoa)
- [ "$INTERFACE" = "atm0" \
- -a -x /sbin/ifup.${IFPROTO} ] && return 0
- ;;
- *)
- eval "device=\"\${${IFTYPE}_device}\""
- [ "$device" = "$INTERFACE" \
- -a -x /sbin/ifup.${IFPROTO} ] && return 0
- ;;
- esac
- done
- IFACE=""
- IFTYPE=""
- IFPROTO=""
- return 255
-}
-
-do_ifup() {
- if="$3"
- eval "if_proto=\"\${${2}_proto}\""
-
- pidfile=/var/run/${if}.pid
- [ -f $pidfile ] && $DEBUG kill $(cat $pidfile)
-
- case "$1" in
- static)
- eval "ip=\"\${${2}_ipaddr}\""
- eval "ip6=\"\${${2}_ip6addr}\""
- eval "netmask=\"\${${2}_netmask}\""
- eval "gateway=\"\${${2}_gateway}\""
- eval "dns=\"\${${2}_dns}\""
- eval "static_route=\"\${${2}_static_route}\""
-
- $DEBUG ifconfig $if $ip ${netmask:+netmask $netmask} broadcast + up
- [ -n "$ip6" ] && $DEBUG ifconfig $if add $ip6
-
- [ -n "$static_route" ] && {
- for route in $static_route; do
- if [ "$(echo $route | cut -d \/ -f2)" != "32" ];
- then
- route add -net $(echo $route | cut -d \/ -f1) netmask $(echo $route | cut -d \/ -f1) dev $if
- else
- route add -host $(echo $route | cut -d \/ -f1) dev $if
- fi
- done
- }
-
- ${gateway:+$DEBUG route add default gw $gateway}
-
- [ -f /tmp/resolv.conf ] || {
- debug "# --- creating /tmp/resolv.conf ---"
- for ns in $dns; do
- echo "nameserver $ns" >> /tmp/resolv.conf
- done
- }
-
- env -i ACTION="ifup" INTERFACE="${2}" PROTO=static /sbin/hotplug "iface" &
- ;;
- dhcp)
- eval "ip=\"\${${2}_ipaddr}\""
- eval "netmask=\"\${${2}_netmask}\""
- eval "hostname=\"\${${2}_hostname}\""
-
- $DEBUG ifconfig $if $ip ${netmask:+netmask $netmask} broadcast + up
-
- args="-i $if ${ip:+-r $ip} -b -p $pidfile"
- hostname="${hostname%%.*}"
- args="$args${hostname:+ -H $hostname}"
- [ "$if_proto" = "pptp" ] && args="$args -n -q" || args="$args -R &"
- ${DEBUG:-eval} "udhcpc $args"
- # hotplug events are handled by /usr/share/udhcpc/default.script
- ;;
- *)
- if [ -x "/sbin/ifup.$1" ]; then
- ( $DEBUG . /sbin/ifup.$1 ${2} $3 )
- fi
- ;;
- esac
-}
-
-do_register()
-{
- [ -z "$IFTYPE" -o -z "$IFPROTO" ] && {
- find_name || {
- case "${INTERFACE%%[0-9]*}" in
- wds)
- for ifname in lan wifi; do
- eval "if=\"\${${ifname}_ifname}\""
- [ -z "$IFPROTO" ] && [ "$if" = "br0" ] && {
- eval "IFPROTO=\"\${${2}_proto}\""
- IFTYPE="${tmp}"
- }
- done
- [ -z "$IFPROTO" ] && return 0
- ;;
- atm)
- for tmp in lan wan wifi ${ifnames}; do
- eval "if_proto=\"\${${2}_proto}\""
- [ "$if_proto" = "pppoa" ] && {
- do_ifup "pppoa" "$tmp" "$INTERFACE"
- return 0
- }
- done
- ;;
- *)
- return 0
- ;;
- esac
- }
- }
-
- case "${INTERFACE%%[0-9]*}" in
- ppp|atm);;
- *)
- eval "mac=\"\${${IFTYPE}_hwaddr}\""
- ${mac:+$DEBUG ifconfig $INTERFACE down hw ether $mac}
- ;;
- esac
-
- eval "if=\"\${${IFTYPE}_ifname}\""
- if [ "${if%%[0-9]}" = "br" ]; then
- if_valid "$INTERFACE" && {
- ifconfig "$if" 2>&- >&- || {
- eval "stp=\"\${${IFTYPE}_stp}\""
- $DEBUG brctl addbr "$if"
- $DEBUG brctl setfd "$if" 0
- $DEBUG brctl stp "$if" "${stp:-0}"
- }
-
- if [ "$INTERFACE" != "$if" ]; then
- $DEBUG ifconfig "$INTERFACE" 0.0.0.0 up
- $DEBUG brctl addif "$if" "$INTERFACE"
- $DEBUG ifconfig "$INTERFACE" allmulti
- else
- do_ifup "$IFPROTO" "$IFTYPE" "$if"
- fi
- }
- else
- [ "${INTERFACE%%[0-9]*}" = "ppp" ] || do_ifup "$IFPROTO" "$IFTYPE" "$if"
- fi
-}
-
-do_unregister() {
- [ -z "$IFTYPE" -o -z "$IFPROTO" ] && {
- find_name || return 0
- }
-
- [ "${IFACE%%[0-9]*}" = "br" ] && {
- if [ "$INTERFACE" != "$IFACE" ]; then
- brctl delif "$IFACE" "$INTERFACE" 2>&- >&-
- else
- brctl delbr "$IFACE" 2>&- >&-
- fi
- }
-
- case "$IFPROTO" in
- pppoe|pppoa|pptp)
- killall pppd 2>&- >&-
- ;;
- dhcp)
- [ -f /var/run/${INTERFACE}.pid ] && kill "$(cat /var/run/${INTERFACE}.pid)" 2>&- >&-
- ;;
- esac
-
- [ "${INTERFACE%%[0-9]*}" = "atm" ] || ifconfig "$INTERFACE" 0.0.0.0 down 2>&-
-}
-
-case "$ACTION" in
- add|register) do_register;;
- remove|unregister) do_unregister;;
-esac
diff --git a/openwrt/package/base-files/default/etc/hotplug.d/usb/01-mount b/openwrt/package/base-files/default/etc/hotplug.d/usb/01-mount
deleted file mode 100644
index c28ada204e..0000000000
--- a/openwrt/package/base-files/default/etc/hotplug.d/usb/01-mount
+++ /dev/null
@@ -1,49 +0,0 @@
-mount_storage() {
- cd /dev/discs
- for dev in disc*; do
- [ -f /tmp/.${dev}_id ] || {
- echo ${INTERFACE}${PRODUCT} > /tmp/.${dev}_id
- mount | grep /mnt/${dev} || (
- [ -d /mnt/. ] || {
- mkdir -p /tmp/mnt
- ln -s /tmp/mnt /
- }
- cd $dev
- for part in part*; do
- path=/mnt/${dev}_${part##*part}
- mkdir -p ${path}
- mount ${part} ${path}
- done
- )
- }
- done
-}
-
-umount_storage() {
- for tmp in /tmp/.*_id; do
- id=$(cat $tmp 2>&-)
- [ "${INTERFACE}${PRODUCT}" = "$id" ] && {
- rm -f $tmp
- disc=${tmp##*disc}
- disc=${disc%%_id}
- for disc in /mnt/disc${disc}*; do
- umount -f $disc || umount -l $disc
- done
- }
- done
-}
-
-[ -f /proc/bus/usb/devices ] || mount -t usbfs none /proc/bus/usb
-
-case "$ACTION" in
- add)
- case "${INTERFACE%%/*}" in
- 8) mount_storage ;;
- esac
- ;;
- remove)
- case "${INTERFACE%%/*}" in
- 8) umount_storage ;;
- esac
- ;;
-esac
diff --git a/openwrt/package/base-files/default/etc/init.d/S10boot b/openwrt/package/base-files/default/etc/init.d/S10boot
deleted file mode 100755
index 42bb438861..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/S10boot
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-. /etc/functions.sh
-
-[ -f /proc/jffs2_bbc ] && echo "S" > /proc/jffs2_bbc
-vconfig set_name_type VLAN_PLUS_VID_NO_PAD
-
-HOSTNAME=${wan_hostname%%.*}
-echo ${HOSTNAME:=OpenWrt}>/proc/sys/kernel/hostname
-
-mkdir -p /var/run
-mkdir -p /var/log
-touch /var/log/wtmp
-touch /var/log/lastlog
-[ "$FAILSAFE" = "true" ] && touch /tmp/.failsafe
-
-for iface in $(/sbin/ifconfig -a | awk '{print $1}' | grep eth); do
- /usr/bin/env -i ACTION=add INTERFACE="$iface" /sbin/hotplug net
-done
-
-load_modules /etc/modules /etc/modules.d/*
-
-ifconfig lo 127.0.0.1 up
-ifconfig eth0 promisc
-
diff --git a/openwrt/package/base-files/default/etc/init.d/S50httpd b/openwrt/package/base-files/default/etc/init.d/S50httpd
deleted file mode 100755
index a1b883d0a8..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/S50httpd
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-[ -d /www ] && httpd -p 80 -h /www -r OpenWrt
diff --git a/openwrt/package/base-files/default/etc/init.d/S50telnet b/openwrt/package/base-files/default/etc/init.d/S50telnet
deleted file mode 100755
index fb9687c8aa..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/S50telnet
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-if awk -F: '/^root:/ && $2 !~ /\!/ {exit 1}' /etc/passwd 2>/dev/null; then telnetd -l /bin/login; fi
diff --git a/openwrt/package/base-files/default/etc/init.d/S60cron b/openwrt/package/base-files/default/etc/init.d/S60cron
deleted file mode 100755
index 1752734267..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/S60cron
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-mkdir -p /var/spool/cron
-ln -s /etc/crontabs /var/spool/cron/crontabs
-crond -c /etc/crontabs
diff --git a/openwrt/package/base-files/default/etc/init.d/S98done b/openwrt/package/base-files/default/etc/init.d/S98done
deleted file mode 100755
index 5d5ab49ce3..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/S98done
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-sysctl -p >&-
-
-# automagically run firstboot
-{ mount|grep "on / type tmpfs" 1>&-; } && {
- lock /tmp/.switch2jffs
- firstboot switch2jffs
- lock -u /tmp/.switch2jffs
-}
diff --git a/openwrt/package/base-files/default/etc/init.d/rcS b/openwrt/package/base-files/default/etc/init.d/rcS
deleted file mode 100755
index b38e449781..0000000000
--- a/openwrt/package/base-files/default/etc/init.d/rcS
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-${FAILSAFE:+exit}
-
-[ -f /etc/config/network ] && . /etc/config/network
-eval $(ipcalc "$log_ipaddr")
-[ "$log_ipaddr" = "$IP" ] || log_ipaddr=""
-syslogd -C 16 ${log_ipaddr:+-L -R $log_ipaddr}
-klogd
-#${FAILSAFE:+telnetd -l /bin/login; ifup lan; exit}
-for i in /etc/init.d/S*; do
- $i start 2>&1
-done | logger -s -p 6 -t '' &
diff --git a/openwrt/package/base-files/default/etc/inittab b/openwrt/package/base-files/default/etc/inittab
deleted file mode 100644
index 39e134cb16..0000000000
--- a/openwrt/package/base-files/default/etc/inittab
+++ /dev/null
@@ -1,3 +0,0 @@
-::sysinit:/etc/init.d/rcS
-tts/0::askfirst:/bin/ash --login
-#tts/1::askfirst:/bin/ash --login
diff --git a/openwrt/package/base-files/default/etc/ipkg.conf b/openwrt/package/base-files/default/etc/ipkg.conf
deleted file mode 100644
index 2931d2cf80..0000000000
--- a/openwrt/package/base-files/default/etc/ipkg.conf
+++ /dev/null
@@ -1,3 +0,0 @@
-src snapshots http://openwrt.org/downloads/snapshots/$S/packages
-dest root /
-dest ram /tmp
diff --git a/openwrt/package/base-files/default/etc/nvram.sh b/openwrt/package/base-files/default/etc/nvram.sh
deleted file mode 100644
index 4d39a10204..0000000000
--- a/openwrt/package/base-files/default/etc/nvram.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/ash
-
-# allow env to override nvram
-nvram () {
- if [ -x /usr/sbin/nvram ]; then
- case $1 in
- get) eval "echo \${$2:-\$(/usr/sbin/nvram get $2)}";;
- *) /usr/sbin/nvram $*;;
- esac
- else
- case $1 in
- get) eval "echo \${$2:-\${DEFAULT_$2}}";;
- *);;
- esac
- fi
-}
-
diff --git a/openwrt/package/base-files/default/etc/passwd b/openwrt/package/base-files/default/etc/passwd
deleted file mode 100644
index 3b660a0d4e..0000000000
--- a/openwrt/package/base-files/default/etc/passwd
+++ /dev/null
@@ -1,2 +0,0 @@
-root:!:0:0:root:/tmp:/bin/ash
-nobody:*:65534:65534:nobody:/var:/bin/false
diff --git a/openwrt/package/base-files/default/etc/preinit b/openwrt/package/base-files/default/etc/preinit
deleted file mode 100755
index 5b676ca3ac..0000000000
--- a/openwrt/package/base-files/default/etc/preinit
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-export PATH=/bin:/sbin:/usr/bin:/usr/sbin
-mount none /proc -t proc
-
-[ -f /etc/preinit.arch ] && . /etc/preinit.arch
-[ -z "$FAILSAFE" ] || {
- echo /bin/true > /proc/sys/kernel/hotplug
- telnetd -l /bin/login <> /dev/null 2>&1
-}
-mount_root ${FAILSAFE:+failsafe}
-exec /sbin/init
diff --git a/openwrt/package/base-files/default/etc/profile b/openwrt/package/base-files/default/etc/profile
deleted file mode 100644
index c42ee4a895..0000000000
--- a/openwrt/package/base-files/default/etc/profile
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-[ -f /etc/banner ] && cat /etc/banner
-
-export PATH=/bin:/sbin:/usr/bin:/usr/sbin
-export PS1='\u@\h:\w\$ '
-
-[ -x /usr/bin/less ] || alias less=more
-[ -x /usr/bin/vim ] || alias vim=vi
-
-arp() { cat /proc/net/arp; }
-ldd() { LD_TRACE_LOADED_OBJECTS=1 $*; }
-reboot() { ifdown wan 2>&1 >/dev/null ; /sbin/reboot; }
diff --git a/openwrt/package/base-files/default/etc/protocols b/openwrt/package/base-files/default/etc/protocols
deleted file mode 100644
index 53fecb6d3c..0000000000
--- a/openwrt/package/base-files/default/etc/protocols
+++ /dev/null
@@ -1,56 +0,0 @@
-# Internet (IP) protocols
-#
-# Updated from http://www.iana.org/assignments/protocol-numbers and other
-# sources.
-# New protocols will be added on request if they have been officially
-# assigned by IANA and are not historical.
-# If you need a huge list of used numbers please install the nmap package.
-
-ip 0 IP # internet protocol, pseudo protocol number
-#hopopt 0 HOPOPT # IPv6 Hop-by-Hop Option [RFC1883]
-icmp 1 ICMP # internet control message protocol
-igmp 2 IGMP # Internet Group Management
-ggp 3 GGP # gateway-gateway protocol
-ipencap 4 IP-ENCAP # IP encapsulated in IP (officially ``IP'')
-st 5 ST # ST datagram mode
-tcp 6 TCP # transmission control protocol
-egp 8 EGP # exterior gateway protocol
-igp 9 IGP # any private interior gateway (Cisco)
-pup 12 PUP # PARC universal packet protocol
-udp 17 UDP # user datagram protocol
-hmp 20 HMP # host monitoring protocol
-xns-idp 22 XNS-IDP # Xerox NS IDP
-rdp 27 RDP # "reliable datagram" protocol
-iso-tp4 29 ISO-TP4 # ISO Transport Protocol class 4 [RFC905]
-xtp 36 XTP # Xpress Transfer Protocol
-ddp 37 DDP # Datagram Delivery Protocol
-idpr-cmtp 38 IDPR-CMTP # IDPR Control Message Transport
-ipv6 41 IPv6 # Internet Protocol, version 6
-ipv6-route 43 IPv6-Route # Routing Header for IPv6
-ipv6-frag 44 IPv6-Frag # Fragment Header for IPv6
-idrp 45 IDRP # Inter-Domain Routing Protocol
-rsvp 46 RSVP # Reservation Protocol
-gre 47 GRE # General Routing Encapsulation
-esp 50 IPSEC-ESP # Encap Security Payload [RFC2046]
-ah 51 IPSEC-AH # Authentication Header [RFC2402]
-skip 57 SKIP # SKIP
-ipv6-icmp 58 IPv6-ICMP # ICMP for IPv6
-ipv6-nonxt 59 IPv6-NoNxt # No Next Header for IPv6
-ipv6-opts 60 IPv6-Opts # Destination Options for IPv6
-rspf 73 RSPF CPHB # Radio Shortest Path First (officially CPHB)
-vmtp 81 VMTP # Versatile Message Transport
-eigrp 88 EIGRP # Enhanced Interior Routing Protocol (Cisco)
-ospf 89 OSPFIGP # Open Shortest Path First IGP
-ax.25 93 AX.25 # AX.25 frames
-ipip 94 IPIP # IP-within-IP Encapsulation Protocol
-etherip 97 ETHERIP # Ethernet-within-IP Encapsulation [RFC3378]
-encap 98 ENCAP # Yet Another IP encapsulation [RFC1241]
-# 99 # any private encryption scheme
-pim 103 PIM # Protocol Independent Multicast
-ipcomp 108 IPCOMP # IP Payload Compression Protocol
-vrrp 112 VRRP # Virtual Router Redundancy Protocol
-l2tp 115 L2TP # Layer Two Tunneling Protocol [RFC2661]
-isis 124 ISIS # IS-IS over IPv4
-sctp 132 SCTP # Stream Control Transmission Protocol
-fc 133 FC # Fibre Channel
-
diff --git a/openwrt/package/base-files/default/etc/shells b/openwrt/package/base-files/default/etc/shells
deleted file mode 100644
index 006aa38ced..0000000000
--- a/openwrt/package/base-files/default/etc/shells
+++ /dev/null
@@ -1 +0,0 @@
-/bin/ash
diff --git a/openwrt/package/base-files/default/etc/sysctl.conf b/openwrt/package/base-files/default/etc/sysctl.conf
deleted file mode 100644
index b09b8cfd9e..0000000000
--- a/openwrt/package/base-files/default/etc/sysctl.conf
+++ /dev/null
@@ -1,8 +0,0 @@
-kernel.panic=3
-net.ipv4.ip_forward=1
-net.ipv4.icmp_echo_ignore_broadcasts=1
-net.ipv4.icmp_ignore_bogus_error_responses=1
-net.ipv4.tcp_fin_timeout=30
-net.ipv4.tcp_keepalive_time=120
-net.ipv4.tcp_timestamps=0
-net.ipv4.tcp_vegas_cong_avoid=1
diff --git a/openwrt/package/base-files/default/rom/note b/openwrt/package/base-files/default/rom/note
deleted file mode 100644
index 1746eb0509..0000000000
--- a/openwrt/package/base-files/default/rom/note
+++ /dev/null
@@ -1,3 +0,0 @@
-SQUASHFS USERS:
-After firstboot has been run, / will be jffs2 and /rom will be squashfs
-(* except when in failsafe)
diff --git a/openwrt/package/base-files/default/sbin/hotplug b/openwrt/package/base-files/default/sbin/hotplug
deleted file mode 100755
index 106299343a..0000000000
--- a/openwrt/package/base-files/default/sbin/hotplug
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-# bypass the normal hotplug path for firmware loading
-# would otherwise cause problems with drivers like bcm43xx
-[ "$1" = "firmware" -a "$ACTION" = "add" ] && {
- [ -f "/lib/firmware/$FIRMWARE" ] && {
- echo 1 > "/sys$DEVPATH/loading"
- cp "/lib/firmware/$FIRMWARE" "/sys$DEVPATH/data"
- echo 0 > "/sys$DEVPATH/loading"
- }
- exit 0
-}
-
-. /etc/functions.sh
-. /etc/config/network
-
-PATH=/bin:/sbin:/usr/bin:/usr/sbin
-LOGNAME=root
-USER=root
-export PATH LOGNAME USER
-
-[ \! -z "$1" -a -d /etc/hotplug.d/$1 ] && {
- for script in $(ls /etc/hotplug.d/$1/* 2>&-); do (
- [ -f $script ] && . $script
- ); done
-}
diff --git a/openwrt/package/base-files/default/sbin/ifdown b/openwrt/package/base-files/default/sbin/ifdown
deleted file mode 100755
index 0d85ca8eab..0000000000
--- a/openwrt/package/base-files/default/sbin/ifdown
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-[ $# = 0 ] && { echo " $0 <group>"; exit; }
-. /etc/functions.sh
-. /etc/config/network
-
-debug "### ifdown $type ###"
-type=$1
-
-eval "if_proto=\"\${${type}_proto}\""
-eval "if=\"\${${type}_ifname}\""
-[ "${if%%[0-9]}" = "ppp" ] && eval "if=\"\${${type}_device}\""
-
-case "$if_proto" in
- pppoa) hotplug_dev unregister atm0; exit 0 ;;
- ""|none) exit 0;;
-esac
-
-hotplug_dev unregister "$if"
diff --git a/openwrt/package/base-files/default/sbin/ifup b/openwrt/package/base-files/default/sbin/ifup
deleted file mode 100755
index a86a7671e8..0000000000
--- a/openwrt/package/base-files/default/sbin/ifup
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/bin/sh
-[ $# = 0 ] && { echo " $0 <group>"; exit; }
-. /etc/functions.sh
-. /etc/config/network
-
-ifdown $1
-
-debug "### ifup $type ###"
-type=$1
-
-eval "if_proto=\"\${${type}_proto}\""
-eval "if=\"\${${type}_ifname}\""
-[ "${if%%[0-9]}" = "ppp" ] && eval "if=\"\${${type}_device}\""
-
-case "$if_proto" in
- pppoa) hotplug_dev register atm0; exit 0 ;;
- pppoe)
- # PPPoE over ATM
- [ "$if" = "nas0" ] && {
- ifconfig nas0 2>&- >&- || {
- hotplug_dev register atm0
- exit 0
- }
- }
- ;;
- none|"") exit 0;;
-esac
-
-if [ "${if%%[0-9]}" = "br" ]; then
- eval "ifnames=\"\${${type}_ifnames}\""
- for sif in $ifnames; do
- hotplug_dev register "$sif"
- done
-else
- hotplug_dev register "$if"
-fi
diff --git a/openwrt/package/base-files/default/sbin/mount_root b/openwrt/package/base-files/default/sbin/mount_root
deleted file mode 100755
index 88a836c808..0000000000
--- a/openwrt/package/base-files/default/sbin/mount_root
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/sh
-is_dirty() {
- grep Broadcom /proc/cpuinfo >&- || return 1
- OFFSET="$(($(hexdump -v /dev/mtdblock/1 -s 20 -n 2 -e '"%d"')-1))"
- return $(hexdump -v /dev/mtdblock/1 -s $OFFSET -n 1 -e '"%d"')
-}
-
-size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
-mount none /tmp -t tmpfs -o size=$size
-
-if [ "$1" != "failsafe" ]; then
- mtd unlock linux
- mount | grep jffs2 >&-
- if [ $? = 0 ] ; then
- if [ $(cat /proc/mtd | wc -l) = 6 ]; then
- mtd erase OpenWrt
- jffs2root --move
- else
- mount -o remount,rw /dev/root /
- fi
- else
- . /bin/firstboot
- is_dirty
- [ $? != 0 ] && {
- echo "switching to jffs2"
- mount /dev/mtdblock/4 /jffs -t jffs2
- pivot /jffs /rom
- } || {
- echo "jffs2 unusable; using ramdisk"
- ramoverlay
- }
- fi
-fi
-
-mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
-mkdir -p /dev/pts
-mount none /dev/pts -t devpts
-mount -t sysfs none /sys 2>&-
diff --git a/openwrt/package/base-files/default/usr/lib/common.awk b/openwrt/package/base-files/default/usr/lib/common.awk
deleted file mode 100644
index 63a8cf23d8..0000000000
--- a/openwrt/package/base-files/default/usr/lib/common.awk
+++ /dev/null
@@ -1,66 +0,0 @@
-function portstr(type, str) {
- gsub(/-/, ":", str)
- if (insmod_mport != 1) {
- print "insmod ipt_multiport >&- 2>&-"
- insmod_mport = 1
- }
- if (type == "src") return " -m multiport --sports " str
- else return " -m multiport --dports " str
-}
-
-function str2ipt(str) {
- str2data(str)
- _cmd = ""
- if (_l["src"] != "") _cmd = _cmd " -s " _l["src"]
- if (_l["dest"] != "") _cmd = _cmd " -d " _l["dest"]
- if (_l["proto"] != "") {
- _cmd = _cmd " -p " _l["proto"]
- }
- # scripts need to check for proto="" and emit two rules in that case
- if ((_l["proto"] == "") || (_l["proto"] == "tcp") || (_l["proto"] == "udp")) {
- if (_l["sport"] != "") _cmd = _cmd portstr("src", _l["sport"])
- if (_l["dport"] != "") _cmd = _cmd portstr("dest", _l["dport"])
- }
- if (_l["layer7"] != "") {
- if (insmod_l7 != 1) {
- print "insmod ipt_layer7 >&- 2>&-"
- insmod_l7 = 1
- }
- _cmd = _cmd " -m layer7 --l7proto " _l["layer7"]
- }
- return _cmd
-}
-
-function str2data(str) {
- delete _l
- _n = split(str, _o, "[\t ]")
- for (_i = 1; _i <= _n; _i++) {
- _n2 = split(_o[_i], _c, "=")
- if (_n2 == 2) _l[_c[1]] = _c[2]
- }
-}
-
-function bitcount(c) {
- c=and(rshift(c, 1),0x55555555)+and(c,0x55555555)
- c=and(rshift(c, 2),0x33333333)+and(c,0x33333333)
- c=and(rshift(c, 4),0x0f0f0f0f)+and(c,0x0f0f0f0f)
- c=and(rshift(c, 8),0x00ff00ff)+and(c,0x00ff00ff)
- c=and(rshift(c,16),0x0000ffff)+and(c,0x0000ffff)
- return c
-}
-
-function validate_netmask(nm) {
- return and(-nm,compl(nm))
-}
-
-function ip2int(ip) {
- for (ret=0,n=split(ip,a,"\."),x=1;x<=n;x++) ret=or(lshift(ret,8),a[x])
- return ret
-}
-
-function int2ip(ip,ret,x) {
- ret=and(ip,255)
- ip=rshift(ip,8)
- for(;x<3;ret=and(ip,255)"."ret,ip=rshift(ip,8),x++);
- return ret
-}
diff --git a/openwrt/package/base-files/default/usr/lib/parse-config.awk b/openwrt/package/base-files/default/usr/lib/parse-config.awk
deleted file mode 100644
index bde5c0072b..0000000000
--- a/openwrt/package/base-files/default/usr/lib/parse-config.awk
+++ /dev/null
@@ -1,40 +0,0 @@
-{
- line=$0
- gsub(/^[ \t]*/, "")
- gsub(/[ \t]*$/, "")
-}
-
-$1 == "@define" {
- v[$2] = $3
-}
-
-$1 == "@ifdef" {
- if_open = 1
- if (v[$2] != "") noprint = 0
- else noprint = 1
-}
-
-$1 == "@ifndef" {
- if_open = 1
- if (v[$2] != "") noprint = 1
- else noprint = 0
-}
-
-$1 == "@else" {
- if (noprint == 1) noprint = 0
- else noprint = 1
-}
-
-($1 !~ /^@/) && (noprint != 1) {
- n=split(line "@@", a, /@@/)
- for (i=1; i<=n; i++) {
- if ((i % 2) == 1) printf a[i]
- else printf v[a[i]]
- }
- print ""
-}
-
-$1 == "@endif" {
- if_open = 0
- noprint = 0
-}
diff --git a/openwrt/package/base-files/default/usr/share/udhcpc/default.script b/openwrt/package/base-files/default/usr/share/udhcpc/default.script
deleted file mode 100755
index 4604648e6b..0000000000
--- a/openwrt/package/base-files/default/usr/share/udhcpc/default.script
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-[ -z "$1" ] && echo "Error: should be run by udhcpc" && exit 1
-. /etc/config/network
-
-RESOLV_CONF="/tmp/resolv.conf"
-
-hotplug_event() {
- for ifname in lan wan wifi ${ifnames}; do
- eval "proto=\"\${${ifname}_proto}\""
- eval "if=\"\${${ifname}_ifname}\""
- [ "$proto" = "dhcp" ] || continue
- [ "$if" = "$interface" ] || continue
- env -i ACTION="$1" INTERFACE="$ifname" PROTO=dhcp /sbin/hotplug iface
- done
-}
-
-case "$1" in
- deconfig)
- ifconfig $interface 0.0.0.0
- hotplug_event ifdown
- ;;
- renew|bound)
- ifconfig $interface $ip \
- netmask ${subnet:-255.255.255.0} \
- broadcast ${broadcast:-+}
-
- if [ -n "$router" ] ; then
- echo "deleting routers"
- while route del default gw 0.0.0.0 dev $interface >&- 2>&- ; do :; done
-
- for i in $router ; do
- echo "adding router $i"
- route add default gw $i dev $interface
- done
- fi
-
- echo -n > $RESOLV_CONF
- ${domain:+echo search $domain} >> $RESOLV_CONF
- for i in $dns ; do
- echo "adding dns $i"
- echo "nameserver $i" >> $RESOLV_CONF
- done
-
- hotplug_event ifup
-
- # user rules
- [ -f /etc/udhcpc.user ] && . /etc/udhcpc.user
- ;;
-esac
-
-exit 0
diff --git a/openwrt/package/base-files/ipkg/base-files.conffiles b/openwrt/package/base-files/ipkg/base-files.conffiles
deleted file mode 100644
index d34e3479a8..0000000000
--- a/openwrt/package/base-files/ipkg/base-files.conffiles
+++ /dev/null
@@ -1,9 +0,0 @@
-/etc/config/network
-/etc/group
-/etc/hosts
-/etc/ipkg.conf
-/etc/modules
-/etc/passwd
-/etc/profile
-/etc/protocols
-/etc/sysctl.conf
diff --git a/openwrt/package/base-files/ipkg/base-files.control b/openwrt/package/base-files/ipkg/base-files.control
deleted file mode 100644
index 58f4b6f1b7..0000000000
--- a/openwrt/package/base-files/ipkg/base-files.control
+++ /dev/null
@@ -1,4 +0,0 @@
-Package: base-files
-Priority: optional
-Section: net
-Description: OpenWrt filesystem structure and scripts
diff --git a/openwrt/package/base-files/ipkg/libgcc.control b/openwrt/package/base-files/ipkg/libgcc.control
deleted file mode 100644
index a70362afed..0000000000
--- a/openwrt/package/base-files/ipkg/libgcc.control
+++ /dev/null
@@ -1,5 +0,0 @@
-Package: libgcc
-Priority: optional
-Section: net
-Depends: base-files
-Description: GCC support library
diff --git a/openwrt/package/base-files/ipkg/uclibc.control b/openwrt/package/base-files/ipkg/uclibc.control
deleted file mode 100644
index 1cdfe157cb..0000000000
--- a/openwrt/package/base-files/ipkg/uclibc.control
+++ /dev/null
@@ -1,5 +0,0 @@
-Package: uclibc
-Priority: optional
-Section: net
-Depends: base-files
-Description: Standard C library for embedded Linux systems